/**
 * Theme main CSS.
 *
 * @since S 1.0.0
 */



/* ===== DEV styling ===== */

.wp-block-columns.standout-content-with-sidebar.is-layout-flex {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	gap: var(--gap-l);
}

.wp-block-columns.standout-content-with-sidebar.is-layout-flex:not(.is-not-stacked-on-mobile) > .standout-primary-content {
	
}

.wp-block-columns.standout-content-with-sidebar.is-layout-flex:not(.is-not-stacked-on-mobile) > .standout-secondary-content {
	flex-basis: unset;
	flex-grow: unset;
	width: 300px;
}

.standout-secondary-content .sidebar-widget {
	
}

.standout-secondary-content .sidebar-widget-title {
	margin-bottom: var(--gap-s);
}


video {
	max-width: 100%;
	height: auto;
}

/* ===== END DEV styling ===== */



/**
 * New styling
 */

body {
	background-color: #fff;
	box-sizing: border-box;
}

body * {
	box-sizing: border-box;
}


a {
	color: currentColor;
	text-decoration: none;
}

a:focus {
	outline: thin dotted;
}

a:hover,
a:active {
	outline: 0;
}


html,
body,
input,
button,
.standout-button a,
select,
optgroup,
textarea {
    line-height: var(--line-height);
    text-decoration: none;
}

html,
body,
input,
select,
optgroup,
textarea {
    font-family: var(--p-fam);
    font-size: var(--p);
    color: var(--color-text);
}

:where(.editor-styles-wrapper) {
	font-family: var(--p-fam);
    font-size: var(--p);
}

button,
.standout-button a,
input[type="button"] {
    font-family: var(--btn-fam);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 0 var(--h-gap);
    line-height: calc(.85 * var(--line-height));
}

h1,
h2,
h3,
h4,
h5,
h6,
.sidebar-widget-title {
    color: var(--color-dark);
    font-weight: var(--h-weight);
}

*[style*="color:"] h1,
*[style*="color:"] h2,
*[style*="color:"] h3,
*[style*="color:"] h4,
*[style*="color:"] h5,
*[style*="color:"] h6,
*[style*="color:"] .sidebar-widget-title {
	color: inherit;
}


h1 {
	font-size: var(--h1);
}

h2 {
	font-size: var(--h2);
}

h3 {
	font-size: var(--h3);
}

h4 {
	font-size: var(--h4);
}

h5 {
	font-size: var(--h5);
}

h6 {
	font-size: var(--h6);
}

p {
	margin: 0 0 1.5em;
	font-size: var(--p);
}

p:last-child,
p:has(+ p:last-child:empty) {
    margin-bottom: 0;
}

p:empty {
    display: none;
}


button[type="submit"],
.standout-button a,
.wp-block-button .wp-element-button,
.wp-block-button .wp-block-button__link,
input[type="button"],
input[type="reset"],
input[type="submit"],
.gform_wrapper .gform_footer input[type=submit] {
    padding: 0.6em 1em;
    color: #fff;
    background-color: var(--color-1);
    border-radius: 0;
    box-shadow: none;
    border: none;
    transition: background-color, border, color;
    transition-duration: var(--transition-duration);
    font-family: var(--btn-fam);
    cursor: pointer;
}


.site svg {
	width: auto;
	height: 1em;
}

.standout-custom-svg {
	line-height: 0;
	vertical-align: middle;
}

.standout-custom-svg svg {
	fill: currentColor;
	vertical-align: text-top;
}


.standout-max-container {
	max-width: var(--content-max-size);
	margin-left: auto;
	margin-right: auto;
}

#page > *:not(.exclude-content-margin) > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
.wp-block-post-content > .standout-section.alignfull:not(.exclude-content-margin) > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
.wp-block-post-content > .acf-block-body > .standout-section.alignfull:not(.exclude-content-margin) > .standout-max-container > .standout-block-inner > .acf-innerblocks-container {
	/* padding: 0 var(--content-margin); */
}


#page > *.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
.wp-block-post-content > .standout-section.alignfull.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
.wp-block-post-content > .acf-block-body > .standout-section.alignfull.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container {
	padding-block: var(--gap-l);
}

@media only screen and (max-width: 1920px) {
	#page > *.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
	.wp-block-post-content > .standout-section.alignfull.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container,
	.wp-block-post-content > .acf-block-body > .standout-section.alignfull.has-bg > .standout-max-container > .standout-block-inner > .acf-innerblocks-container {
		padding-inline: var(--content-margin);
	}
}


img,
picture {
	width: auto;
	max-width: 100%;
	height: auto;
	max-height: 100%;
}


/* ===== Header ===== */

#logo {
	line-height: 0;
}


.custom-logo-link {
	display: inline-block;
}

/* ===== END Header ===== */


/* Block gap */
:where(body .is-layout-constrained) > *,
.wp-admin .editor-styles-wrapper :where(body .is-layout-flow) > * > * {
	margin-block-start: var(--standout-block-gap, var(--gap-default, 0));
}

:where(body .is-layout-constrained) > .standout-section:not(.standout-content-with-sidebar-container) .standout-section:not(:first-child),
.wp-admin .acf-innerblocks-container > *[data-type*="standout/"]:not(.standout-content-with-sidebar-container):not(:first-child):has(> .standout-section) {
	margin-block-start: var(--standout-block-gap, var(--gap-m));
}

:where(body .is-layout-constrained) > .standout-section:not(.standout-content-with-sidebar-container) .standout-section:not(:last-child),
.wp-admin .acf-innerblocks-container > *[data-type*="standout/"]:not(.standout-content-with-sidebar-container):not(:last-child):has(> .standout-section) {
	margin-block-end: var(--standout-block-gap, var(--gap-m));
}

:where(body .is-layout-constrained) > .standout-section.standout-content-with-sidebar-container .standout-section:not(:first-child),
.wp-admin .acf-innerblocks-container > *[data-type*="standout/"]:not(:first-child):has(> .standout-section) {
	margin-block-start: var(--standout-block-gap, var(--gap-l));
}

:where(body .is-layout-constrained) > .standout-section.standout-content-with-sidebar-container .standout-section:not(:last-child),
.wp-admin .acf-innerblocks-container > *[data-type*="standout/"]:not(:last-child):has(> .standout-section) {
	margin-block-end: var(--standout-block-gap, var(--gap-l));
}


:where(body .standout-secondary-content .is-layout-constrained) > *,
:where(body .standout-secondary-content .is-layout-constrained) > * > * {
	margin-top: 0;
}



.post-loop .post-thumbnail-wrap {
	margin-bottom: 15px;
	font-size: 0;
}

.post-loop .post-meta-wrap {
	display: flex;
	align-items: center;
}

.post-loop .post-meta-wrap .post-meta-separator {
	margin: 0 .5em;
}


/* ===== Accordion shortcode ===== */

.standout-accordion-container {
	border: 0px solid currentColor;
	border-width: 1px 0;
}

.standout-accordion-container .standout-accordion-button {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 1em 0;
	font-weight: bold;
	cursor: pointer;
}

.standout-accordion-container .standout-accordion-content {
	padding-bottom: 1em;
}

/* ===== END Accordion shortcode ===== */


/* ===== Standout clear cache link ===== */

.standout-clear-cache-link {
    position: fixed;
    top: 50%;
    left: 0;
	display: flex;
    align-items: center;
    padding: 7px;
    line-height: 1;
    background-color: #fff;
    text-decoration: none;
    box-shadow: 0 0 3px 0 rgb(0 0 0 / 50%);
    z-index: 999999999;
}

body.standout-admin.admin-bar .standout-clear-cache-link {
    display: none;
}

.standout-clear-cache-link .standout-custom-svg {
    margin-right: 5px;
    line-height: .5;
}

.standout-clear-cache-link .standout-custom-svg svg {
    width: auto;
    height: 1.5em;
}

/* ===== END Standout clear cache link ===== */


/* ===== Search page ===== */

.search-results-loop-container {
	max-width: var(--content-width);
	margin-inline: auto;
}

.search-results-loop-container .search-results-loop-header {
	margin-bottom: var(--gap-m);
	text-align: center;
}

.search-results-loop-container .search-results-loop-header .search-results-title {

}

.search-results-loop-container .search-results-loop-header .search-form {
	display: flex;
	gap: var(--gap-s);
	align-items: center;
}

.search-results-loop-container .search-results-loop-header .search-form label {
	flex-grow: 1;
}

.search-results-loop-container .search-results-loop-header .search-form .search-field {
	width: 100%;
}

.search-results-loop-container .search-results-loop-header .search-form .search-submit {

}

.search-results-loop-container .search-results-loop {

}

.search-results-loop-container .search-results-loop	.post-search-loop {
	padding: var(--gap-s);
	background: var(--color-bg);
}

.search-results-loop-container .search-results-loop	.post-search-loop:not(:last-child) {
	margin-bottom: var(--gap-s);
}

.search-results-loop-container .search-results-loop	.post-search-loop .post-title-wrap {
	margin-bottom: .7em;
	font-size: 1.2em;
	font-weight: bold;
}

.search-results-loop-container .search-results-loop	.post-search-loop .post-excerpt-wrap {
	margin-bottom: .7em;
}

.search-results-loop-container .search-results-loop	.post-search-loop .post-read-more {
	font-weight: bold;
}

/* ===== END Search page ===== */

/**
 * END New styling
 */